Bug 980338 - disk-format "qemu-img info: JSON parse error" when target file does not exist
disk-format "qemu-img info: JSON parse error" when target file does not exist
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: libguestfs (Show other bugs)
7.0
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Richard W.M. Jones
Virtualization Bugs
:
Depends On: 981663
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-02 02:19 EDT by bfan
Modified: 2014-06-17 22:00 EDT (History)
2 users (show)

See Also:
Fixed In Version: libguestfs-1.22.4-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 980337
Environment:
Last Closed: 2014-06-13 08:15:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bfan 2013-07-02 02:19:32 EDT
+++ This bug was initially created as a clone of Bug #980337 +++

Description of problem:
disk-format does not give an error when the file is inexistent


Version-Release number of selected component (if applicable):
libguestfs-1.20.9-6.el6.x86_64


How reproducible:
100%


Steps to Reproduce:
[root@]# guestfish -N fs mount /dev/sda1 / : list-partitions : disk-format /dev/sda2 : disk-format /dev/sda3
/dev/sda1
raw
libguestfs: error: realpath: No such file or directory



Actual results:
disk-format /dev/sda2 , returns "raw"


Expected results:
"disk-format /dev/sda2" should give a error message as "disk-format /dev/sda3"


Additional info:
also effect "disk-virtual-size"
Comment 1 Richard W.M. Jones 2013-07-05 08:38:56 EDT
Let's reuse this bug to fix the somewhat related problem:

$ guestfish disk-format /etc/nosuchfile
libguestfs: error: qemu-img info: JSON parse error: parse error: premature EOF
                                       
                     (right here) ------^

libguestfs: error: qemu-img info: /etc/nosuchfile: qemu-img info exited with error status 1.
To see full error messages you may need to enable debugging.
See http://libguestfs.org/guestfs-faq.1.html#debugging-libguestfs
Comment 4 bfan 2013-12-02 00:33:39 EST
Verified with libguestfs-1.22.6-16.el7.x86_64

# guestfish disk-format /etc/nosuchfile
libguestfs: error: disk info: /etc/nosuchfile: No such file or directory

It gives a correct error message, change the status to verified
Comment 5 Ludek Smid 2014-06-13 08:15:21 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.